Bug 190385 - Add stage support & update some ports I maintain
Summary: Add stage support & update some ports I maintain
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-29 21:20 UTC by zy
Modified: 2014-06-09 18:04 UTC (History)
2 users (show)

See Also:


Attachments
driconf-stage.diff (502 bytes, patch)
2014-05-29 21:20 UTC, zy
no flags Details | Diff
pinpoint-stage.diff (493 bytes, patch)
2014-05-29 21:20 UTC, zy
no flags Details | Diff
hanazono-fonts-ttf-stage-20131208.diff (1.53 KB, patch)
2014-05-29 21:20 UTC, zy
no flags Details | Diff
gbdfed-stage.diff (295 bytes, patch)
2014-06-05 20:42 UTC, lichray
no flags Details | Diff
scheme48-stage-1.9.2.diff (1.79 KB, patch)
2014-06-05 20:42 UTC, lichray
no flags Details | Diff
driconf-stage.diff (503 bytes, patch)
2014-06-05 20:43 UTC, lichray
no flags Details | Diff
hanazono-fonts-ttf-stage-20131208.diff (1.53 KB, patch)
2014-06-05 20:43 UTC, lichray
no flags Details | Diff
pinpoint-stage.diff (494 bytes, patch)
2014-06-05 20:43 UTC, lichray
no flags Details | Diff
new diff for graphics/driconf (1.50 KB, patch)
2014-06-06 21:19 UTC, Guido Falsi
madpilot: maintainer-approval? (lichray)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zy 2014-05-29 21:20:00 UTC
	
	lang/scheme48      1.9 -> 1.9.2, compiles with clang, stage
	graphics/driconf   stage
	graphics/pinpoint  stage
	x11-fonts/gbdfed   stage
	x11-fonts/hanazono-fonts-ttf  20131208, stage

Fix: Index: x11-fonts/gbdfed/Makefile
===================================================================
--- x11-fonts/gbdfed/Makefile	(revision 355741)
+++ x11-fonts/gbdfed/Makefile	(working copy)
@@ -20,5 +20,4 @@
 MAN1=		gbdfed.1
 PLIST_FILES=	bin/gbdfed
 
-NO_STAGE=	yes
 .include <bsd.port.mk>
--- gbdfed-stage.diff ends here ---

Index: lang/scheme48/Makefile
===================================================================
--- lang/scheme48/Makefile	(revision 355728)
+++ lang/scheme48/Makefile	(working copy)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	scheme48
-PORTVERSION=	1.9
+PORTVERSION=	1.9.2
 CATEGORIES=	lang scheme
 MASTER_SITES=	http://www.s48.org/${PORTVERSION}/
 EXTRACT_SUFX=	.tgz
@@ -18,10 +18,6 @@
 USES=		gmake
 GNU_CONFIGURE=	yes
 
-MAN1=		scheme48.1
-
-NO_STAGE=	yes
-
 OPTIONS_DEFINE=	DOCS
 
 .include <bsd.port.options.mk>
@@ -38,8 +34,8 @@
 		-e '/INSTALL.*COPYING/d' \
 		${WRKSRC}/Makefile.in
 .if ${PORT_OPTIONS:MDOCS}
-USE_TEX=        yes
-CONFIGURE_ARGS+=--docdir=${DOCSDIR}
+USE_TEX=	yes
+CONFIGURE_ARGS+=--docdir="${DOCSDIR}"
 .else
 	@${REINPLACE_CMD} \
 		-e 's/install-doc$$//' \
@@ -48,6 +44,6 @@
 .endif
 
 test:
-	cd ${WRKSRC}; ${MAKE} check
+	${MAKE} -C ${WRKSRC} check
 
 .include <bsd.port.mk>
Index: lang/scheme48/distinfo
===================================================================
--- lang/scheme48/distinfo	(revision 355728)
+++ lang/scheme48/distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (scheme48-1.9.tgz) = dcba91d150b7490e6170ef4fbd45a065ba0d8d6e228946379da0d1d7cba78267
-SIZE (scheme48-1.9.tgz) = 3945425
+SHA256 (scheme48-1.9.2.tgz) = 9c4921a90e95daee067cd2e9cc0ffe09e118f4da01c0c0198e577c4f47759df4
+SIZE (scheme48-1.9.2.tgz) = 3951356
Index: lang/scheme48/pkg-plist
===================================================================
--- lang/scheme48/pkg-plist	(revision 355728)
+++ lang/scheme48/pkg-plist	(working copy)
@@ -14,6 +14,7 @@
 lib/scheme48-%%VER%%/scheme48.image
 lib/scheme48-%%VER%%/scheme48vm
 lib/scheme48-%%VER%%/srfi-27.so
+man/man1/scheme48.1.gz
 %%PORTDOCS%%%%DOCSDIR%%/manual-Z-G-D-1.gif
 %%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-1.html
 %%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-10.html
--- scheme48-stage-1.9.2.diff ends here ---
Comment 1 Guido Falsi freebsd_committer 2014-06-05 20:19:11 UTC
hi,

I'm going to test and commit this PR, but unluckily the patch got mangled somewhere on the way (maybe by the bugzilla conversion).

Can you attach the path(es) again to this bug report and mark the old ones obsolete while at it?

So I can start working on committing these.

Thanks in advance.
Comment 2 lichray 2014-06-05 20:42:23 UTC
Created attachment 143419 [details]
gbdfed-stage.diff
Comment 3 lichray 2014-06-05 20:42:44 UTC
Created attachment 143420 [details]
scheme48-stage-1.9.2.diff
Comment 4 lichray 2014-06-05 20:43:12 UTC
Created attachment 143421 [details]
driconf-stage.diff
Comment 5 lichray 2014-06-05 20:43:32 UTC
Created attachment 143422 [details]
hanazono-fonts-ttf-stage-20131208.diff
Comment 6 lichray 2014-06-05 20:43:53 UTC
Created attachment 143423 [details]
pinpoint-stage.diff
Comment 7 lichray 2014-06-05 20:47:13 UTC
(In reply to Guido Falsi from comment #1)
> Can you attach the path(es) again to this bug report and mark the old ones
> obsolete while at it?

Hmm, I cannot obsolate the existing ones, since they are uploaded
buy my another email account.  Anyway, I uploaded all of those as
"patch"es.

An question is that whether adding staging support without actual
changes need bump port revisions.  If so, please add them before
committing...

Thank you for working on that.
Comment 8 Guido Falsi freebsd_committer 2014-06-05 20:53:06 UTC
(In reply to lichray from comment #7)
> (In reply to Guido Falsi from comment #1)
> > Can you attach the path(es) again to this bug report and mark the old ones
> > obsolete while at it?
> 
> Hmm, I cannot obsolate the existing ones, since they are uploaded
> buy my another email account.  Anyway, I uploaded all of those as
> "patch"es.

Ok, did not think about the permissions problem. Anyway it's ok as is.

> 
> An question is that whether adding staging support without actual
> changes need bump port revisions.  If so, please add them before
> committing...

If there really are no changes no bump is required. I'll look to it.
Comment 9 commit-hook freebsd_committer 2014-06-06 21:06:59 UTC
A commit references this bug:

Author: madpilot
Date: Fri Jun  6 21:06:13 UTC 2014
New revision: 356848
URL: http://svnweb.freebsd.org/changeset/ports/356848

Log:
  - Update to 1.9.2
  - Stagify

  PR:		190385
  Submitted by:	lichray@gmail.com (maintainer)

Changes:
  head/lang/scheme48/Makefile
  head/lang/scheme48/distinfo
  head/lang/scheme48/pkg-plist
Comment 10 commit-hook freebsd_committer 2014-06-06 21:09:00 UTC
A commit references this bug:

Author: madpilot
Date: Fri Jun  6 21:08:07 UTC 2014
New revision: 356849
URL: http://svnweb.freebsd.org/changeset/ports/356849

Log:
  - Enable staging
  - Convert to new LIB_DEPENDS format

  PR:		190385
  Submitted by:	lichray@gmail.com (maintainer)

Changes:
  head/graphics/pinpoint/Makefile
Comment 11 commit-hook freebsd_committer 2014-06-06 21:11:01 UTC
A commit references this bug:

Author: madpilot
Date: Fri Jun  6 21:10:34 UTC 2014
New revision: 356850
URL: http://svnweb.freebsd.org/changeset/ports/356850

Log:
  - Update to 20131208
  - Stagify

  PR:		190385
  Submitted by:	lichray@gmail.com (maintainer)

Changes:
  head/x11-fonts/hanazono-fonts-ttf/Makefile
  head/x11-fonts/hanazono-fonts-ttf/distinfo
Comment 12 Guido Falsi freebsd_committer 2014-06-06 21:19:51 UTC
Created attachment 143469 [details]
new diff for graphics/driconf

Hi,

I have committed the patches to:

lang/scheme48
graphics/pinpoint
x11-fonts/hanazono-fonts-ttf

for the last one I removed the echo of pkg-message, with staging that is done by pkg tools when actually installing the resulting package on the live system. No need to echo that from the Makefile.

The port x11-fonts/gbdfed had been already stagified, so i did not touch it.

I've attached a new patch for graphics/driconf for you to test and approve.

The port had a pair of problems I caught with poudriere, I gave it a cleanup taking advantage of a few features of bsd.python.mk.

Thanks for your work on these ports!
Comment 13 lichray 2014-06-06 21:26:38 UTC
Comment on attachment 143469 [details]
new diff for graphics/driconf

I don't even noticed that driconf is a python utility... I took the
maintainership without furtherly dig into it.

This patch makes sense.

Don't know whether there is an "approve" button but yes please commit it.
Comment 14 commit-hook freebsd_committer 2014-06-09 18:03:54 UTC
A commit references this bug:

Author: madpilot
Date: Mon Jun  9 18:03:26 UTC 2014
New revision: 357191
URL: http://svnweb.freebsd.org/changeset/ports/357191

Log:
  - Stagify
  - Fix pydistutils usage

  PR:		190385
  Submitted by:	lichray@gmail.com (maintainer)

Changes:
  head/graphics/driconf/Makefile
  head/graphics/driconf/pkg-plist
Comment 15 Guido Falsi freebsd_committer 2014-06-09 18:04:12 UTC
Committed. Thanks!